Package Details: python-itk 5.3.0-5

Git Clone URL: https://aur.archlinux.org/itk.git (read-only, click to copy)
Package Base: itk
Description: An open-source, cross-platform library that provides developers with an extensive suite of software tools for image analysis (Python binding)
Upstream URL: https://www.itk.org
Licenses: Apache
Submitter: hottea
Maintainer: hottea (lilac)
Last Packager: lilac
Votes: 0
Popularity: 0.000000
First Submitted: 2022-03-21 14:41 (UTC)
Last Updated: 2023-09-22 13:07 (UTC)

Latest Comments

bcb commented on 2024-01-24 12:20 (UTC)

Please add python to makedepends, this package fails to build in a clean chroot (e.g., with pkgctl build) without it as python is not included in base or base-devel.

hottea commented on 2023-11-09 02:06 (UTC)

@m-pilia insight-toolkit did not provide python-itk or python-insight-toolkit.

m-pilia commented on 2023-07-30 07:17 (UTC) (edited on 2023-07-30 07:21 (UTC) by m-pilia)

python is always installed

That is not correct.

and no need to specify it as makedepends

That is not correct either. Only the base-devel group is assumed to be installed when using makepkg, anything else needs to be added to makedepends (unless it is already in depends). You can find instructions to correctly configure your PKGBUILD on the wiki.

Would you like to delete https://aur.archlinux.org/packages/insight-toolkit as itk is maintained here?

insight-toolkit is the package that been around for longer, it is more voted and popular, and is used as a dependency of several other packages. itk is the one that should be deleted as duplicate.

hottea commented on 2023-06-03 17:02 (UTC)

@FabioLolix Are you using ArchLinux or other Arch-based distribution? python is always installed, and no need to specify it as makedepends. Maybe you should check your PATH environment. Building in a clean chroot is always preferred as described at wiki.

Would you like to delete https://aur.archlinux.org/packages/insight-toolkit as itk is maintained here?

FabioLolix commented on 2023-06-02 18:52 (UTC)

Hello, python is needed as `makedepends otherwise the build fail with devtools (added that; building is running)

==> Starting build()...
/startdir/PKGBUILD: line 39: python: command not found
==> ERROR: A failure occurred in build().
    Aborting...

While using makepkg it don't find a library which is installed, anyone else?

-- Performing Test CXX_HAS_DISABLE_OPTIMIZATION_FLAG - Failed
CMake Error at CMake/FindFFTW.cmake:167 (message):
  libmkl_intel_ilp64.a not found.
Call Stack (most recent call first):
  CMake/itkExternal_FFTW.cmake:180 (find_package)
  CMakeLists.txt:429 (include)
$ LANG=C pacman -Qo /opt/intel/oneapi/mkl/2023.1.0/lib/intel64/libmkl_intel_ilp64.a
/opt/intel/oneapi/mkl/2023.1.0/lib/intel64/libmkl_intel_ilp64.a is owned by intel-oneapi-mkl 2023.1.0_46342-1

FabioLolix commented on 2022-03-21 18:40 (UTC)

Already exist as insight-toolkit https://aur.archlinux.org/packages/insight-toolkit